//fitness callback
//temporally varying selection
initialize() {
	initializeMutationRate(1e-7);
	initializeMutationType("m1",0.5, "f", 0.0);//neutral mutation
	initializeMutationType("m2", 0.5, "f", 0.1); //beneficial mutation with selection coefficient 0.1
	initializeGenomicElementType("g1", c(m1,m2), c(0.995, 0.005)); //neutral mutation 0.995 and 0.005 are beneficial mutations
	initializeGenomicElement(g1, 0,99999); //100,000 bp
	initializeRecombinationRate(1e-8);
}
1{
	sim.addSubpop("p1", 500);
}

2000:3999 fitness(m2){
	return 1.0; //fitness effect of 1 is neutral, in contrast selection coefficient of 0.00 is neutral
}

10000 { sim.simulationFinished(); }

